import java.util.*;
import java.net.*;
import java.io.*;
import javazoom.jl.player.advanced.*;
import javazoom.jl.player.*;
import javazoom.jl.decoder.*;

// Hacked from AdvancedPlayer
class TweakedPlayer extends AdvancedPlayer
{
      private boolean paused = false;
      Player contact;

      public TweakedPlayer(InputStream stream, Player contact) throws JavaLayerException
      {
	 super(stream);
	 this.contact = contact;
      }

      // note: does NOT send the appropriate playbackstarted event
      public void play() throws JavaLayerException
      {
	 boolean ret = true;
	 while (ret)
	 {
	    while(paused)
	       Utility.sleep(150);
	    ret = decodeFrame();
	 }
	 close();
	 contact.setUpNextSong();
      }

      public void pause()
      {
	 paused = true;
      }

      public void resume()
      {
	 paused = false;
      }
}